/*
 * LED.c
 *
 * Created: 30.11.2011 21:51:11
 *  Author: Zbynek
 * poskocil@email.cz
 *
 * Funkce pro praci s LED diodami na modulu
 */ 
#include "LED.h"
#include <avr/io.h>

/************************************************************************
* Funkce: LEDs_init()
* Ucel:  Nastavi PINy, na kterych jsou LED jako vystupy
* Vstup: Zadny
* Vystup:  Zadny                                                                  
************************************************************************/
volatile void LEDs_init(void)
{
	DDRB = (1<<DDB0)|(1<<DDB1);
}

/************************************************************************
* Funkce: LED_horni_on()
* Ucel:  Rozsviti LED, ktera je blize pojistce
* Vstup: Zadny
* Vystup:  Zadny                                                                  
************************************************************************/
volatile void LED_horni_on(void)
{
	PORTB |= (1<<PB0);
}

/************************************************************************
* Funkce: LED_horni_off()
* Ucel:  Zhasne LED, ktera je blize pojistce
* Vstup: Zadny
* Vystup:  Zadny                                                                  
************************************************************************/
volatile void LED_horni_off(void)
{
	PORTB &= ~(1<<PB0);
}

/************************************************************************
* Funkce: LED_spodni_on()
* Ucel:  Rozsviti LED, ktera je dale od pojistky
* Vstup: Zadny
* Vystup:  Zadny                                                                  
************************************************************************/
volatile void LED_spodni_on(void)
{
	PORTB |= (1<<PB1);
}

/************************************************************************
* Funkce: LED_spodni_off()
* Ucel:  Zhasne LED, ktera je dale od pojistky
* Vstup: Zadny
* Vystup:  Zadny                                                                  
************************************************************************/
volatile void LED_spodni_off(void)
{
	PORTB &= ~(1<<PB1);
}
